Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf
Class PoliceForceTaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.task.pf.PoliceForceTaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

Direct Known Subclasses:
  ClearRouteTaskMessage

    public abstract class PoliceForceTaskMessage

extends TaskMessage

The class represent the Task for Police Force agent.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`PoliceForceTaskMessage(BaseMessageType type, int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID pfID)` Constructor
`PoliceForceTaskMessage(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAssignedAgentID()` Return EntityID of PF that have to execute this task.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
`getMessageOwnerID, setEntityIDListData`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoliceForceTaskMessage

    public PoliceForceTaskMessage(BaseMessageType type,
                                  int time,
                                  rescuecore2.worldmodel.EntityID ownerID,
                                  rescuecore2.worldmodel.EntityID pfID)

  ## Constructor

  Create the message to give instructions to PF.
  Included data are follow.
  - time:the time that the message is created.(int)
  - ownerID:EntityID of the agent that sent this message.
  - pfID:EntityID of PF that is ordered to do.

  Parameters:
    `type` - message type
    `time` - step num
    `pfID` - EntityID of PF

### PoliceForceTaskMessage

    public PoliceForceTaskMessage(BaseMessageType type,
                                  java.util.List<java.lang.Integer> bitList,
                                  int offset,
                                  java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `type` -
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getAssignedAgentID

    public rescuecore2.worldmodel.EntityID getAssignedAgentID()

  Return EntityID of PF that have to execute this task.

  Specified by:
    `getAssignedAgentID` in interface `ITaskMessage`
  Overrides:
    `getAssignedAgentID` in class `TaskMessage`
  Returns:
    EntityID of PF

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD